View Issue Details

IDProjectCategoryView StatusLast Update
0002867Ham Radio DeluxeEnhancementpublic2018-09-11 13:18
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.876 
Target VersionFixed in Version6.4.0.886 
Summary0002867: Logbook: Databases Manager could use some enhancement
DescriptionThere are a few areas for improvement in the Databases Manager window in the logbook.

1) The databases manager window sometimes uses "y" and sometimes uses "yes" to show a set state.

2) A right-click context menu would be helpful for manipulating the state of items.

3) The display should include information for the QSO Forwarder listening state.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleData
Testing Beta Successful

Relationships

related to 0002795 closedK7ZCZ QSO Forwarding (UDP broadcast) API in Logbook doesn't work (for WSJT-X). 
related to 0002858 closedWA9PIE Logbook: QSO Forwarding options are not correctly scoped 

Activities

K7ZCZ

2018-09-01 14:35

manager   ~0006038

Some of these problems are apparent; they're also driven by recent fixes to the QSO Forwarding features in the related bugs.

K7ZCZ

2018-09-01 14:39

manager   ~0006039

fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4317

vk2byi

2018-09-08 00:37

viewer   ~0006132

I like these enhancements, and I can verify that the UI behaves as I expect. That is, using the right-click menu to set the QSL5 and QSL9 listener settings in the Databases Manager, results in the corresponding Target Database settings in the QSO Forwarding windows and vice versa. Also setting the default database is reflected in the Network Server window.

However, I have encountered something unexpected during my testing. I have an Access database (My Logbook) set as default, and a MySQL database (My Logbook - MySQL) with QSL9 selected (Databases Manager.jpg and QSO Forwarding,jpg).

A contact logged in WSJT-X is correctly targetted to the MySQL database provided the left-most open tab in Logbook is the MySQL database (Correct database.jpg). If I swap the tabs around and restart logbook, subsequenct contacts logged in WSJT-X are logged in the Access database, and not the targetted database (Incorrect database.jpg).

If I swap the tab order so the MySQl is left-most and restart Logbook, the contacts are correctly targetted to the MySQL database again.

Incorrect database.jpg (66,586 bytes)
Incorrect database.jpg (66,586 bytes)
QSO Forwarding.jpg (29,871 bytes)
QSO Forwarding.jpg (29,871 bytes)
Correct database.jpg (66,595 bytes)
Correct database.jpg (66,595 bytes)
Databases Manager.jpg (30,648 bytes)
Databases Manager.jpg (30,648 bytes)

g3ucq

2018-09-08 04:36

viewer   ~0006135

As I am unable to use just WSJT-X to log a QSO to my default log, I used JTAlert and that logged into the correct log even though I had swapped the log tabs around.

vk2byi

2018-09-08 05:22

viewer   ~0006136

But when you log a contact with JTAlert it uses the Logbook API port which accepts a database name as part of the data sent by JTAlert which directs the insert to the correct database.

However, when WSJT-X logs a contact via the QSO Forwarding interface, a database name is not supported by the specification for the data being sent. So the target database has to be specified in Logbook instead in the QSO Forwarding window, and that is what appears to not be working correctly.

vk2byi

2018-09-08 22:49

viewer   ~0006148

Retested with 884:

The issue with contacts not being logged in the targeted database is still evident in this release. The contact is always logged in the left-most open database tab at the time of Logbook starting up.

K7ZCZ

2018-09-09 13:03

manager   ~0006153

Sorry -- it's really hard to track multiple, mixed problems in the same Mantis issue. Please open individual issues in Mantis for each problem you find. Otherwise, it's just too likely that I'll miss them and they won't get fixed promptly. Or won't get fixed at all.

vk2byi

2018-09-09 16:47

viewer   ~0006156

Sorry - will open a new issue.

vk2byi

2018-09-09 20:46

viewer   ~0006160

Mantis 0002888 created.

g3ucq

2018-09-10 02:34

viewer   ~0006165

Unable to test

WA9PIE

2018-09-10 10:35

administrator   ~0006173

As described... I tested this. Pretty cool change.

Done.

Issue History

Date Modified Username Field Change
2018-09-01 14:33 K7ZCZ New Issue
2018-09-01 14:35 K7ZCZ Relationship added related to 0002795
2018-09-01 14:35 K7ZCZ Relationship added related to 0002858
2018-09-01 14:35 K7ZCZ Note Added: 0006038
2018-09-01 14:39 K7ZCZ Assigned To => K7ZCZ
2018-09-01 14:39 K7ZCZ Status new => resolved
2018-09-01 14:39 K7ZCZ Resolution open => fixed
2018-09-01 14:39 K7ZCZ Note Added: 0006039
2018-09-03 00:07 K7ZCZ Fixed in Version => 6.4.0.878
2018-09-08 00:37 vk2byi File Added: Databases Manager.jpg
2018-09-08 00:37 vk2byi File Added: QSO Forwarding.jpg
2018-09-08 00:37 vk2byi File Added: Correct database.jpg
2018-09-08 00:37 vk2byi File Added: Incorrect database.jpg
2018-09-08 00:37 vk2byi Note Added: 0006132
2018-09-08 04:36 g3ucq Note Added: 0006135
2018-09-08 05:22 vk2byi Note Added: 0006136
2018-09-08 22:49 vk2byi Note Added: 0006148
2018-09-09 13:03 K7ZCZ Note Added: 0006153
2018-09-09 16:47 vk2byi Note Added: 0006156
2018-09-09 20:46 vk2byi Note Added: 0006160
2018-09-10 02:34 g3ucq Note Added: 0006165
2018-09-10 10:35 WA9PIE Note Added: 0006173
2018-09-10 10:35 WA9PIE Status resolved => closed
2018-09-10 10:35 WA9PIE Testing Not Started => Beta Successful
2018-09-11 13:15 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-09-11 13:18 WA9PIE Fixed in Version 6.4.0.878 => 6.4.0.886